Library Version 18.1.40

DbEnv::get_slices()
Prev | Chapter 5. The DbEnv Handle | Next

## DbEnv::get_slices()

    #include <db_cxx.h>

    int
    DbEnv::get_slices(DbEnv ***slicepp);

The `DbEnv::get_slices()` method returns a NULL-terminated array of slice environments. Each element in the array represents one slice.

The `DbEnv::get_slices()` method may only be called after the environment has been opened.

The `DbEnv::get_slices()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### slicepp

The `DbEnv::get_slices()` method returns a reference to a NULL-terminated array of slice environments in slicepp.

### Class

DbEnv

### See Also

Database Environments and Related Methods

Prev | Up | Next
DbEnv::get_shm_key() | Home | DbEnv::get_slice_count()